<?php
	$config['max_file_size'] = '500000';
	$config['num_temp_files'] = '10';

	
	include('imgresize_files/photo_upload.php');
	include('imgresize_files/functions.php');
	
	if ($_POST['action'] == 'resize') {
		include('imgresize_files/count.php');
		
		if ($_POST['max_pixels'] == '' || !checkValidChars($_POST['max_pixels'],'0123456789')) {
			$result_div .= getResultDiv('Please enter a numeric value for the maximum dimention');
		}
		if ($count > $config['num_temp_files']) {
			$new_count = 1;
		} else {
			$new_count = $count+1;
		}
		$file = fopen('imgresize_files/count.php','w+');
		$contents = '<?php $count= ' . $new_count . '; ?>';
		fwrite($file,$contents);
		fclose($file);
		$file_array = explode('.',$_FILES['image_file']['name']);
		$array_count = count($file_array);
		if ($file_array[$array_count-1] != 'jpg' && $file_array[$array_count-1] != 'jpeg') {
			$result_div .= getResultDiv('Sorry, this script only works for JPEG files');
		}
		if ($_FILES['image_file']['tmp_name'] == '') {
			$result_div .= getResultDiv('Please select a file to upload');
		} elseif ($_FILES['image_file']['size'] > $config['max_file_size']) {
			$result_div .= getResultDiv('That file is too large. Please try a smaller file');
		} else {
			$photo = new PhotoUpload($_FILES['image_file']);
			//copy($_FILES['image_file']['tmp_name'],'imgresize_files/images/temp' . $count . '.jpg');
			$photo->uploadImage('imgresize_files/images/');
			$photo->resizeImage($_POST['max_pixels'],'temp' . $count,'3','');
			$large_name = $photo->new_image_name;
			$photo->removeOriginal();
			$img = '<hr /><img src="imgresize_files/images/temp' . $count . '.jpg" />';
		}
		$form = $_POST;
	}
?>
<html>
<head>
	<title>Image Resize Wizard</title>
	<script type="text/javascript" src="imgresize_files/imageresize.js"></script>
	<link rel="stylesheet" type="text/css" href="imgresize_files/styles.css">
</head>
<body>
<h1>Image Resize Wizard</h1>
<p>To use the Image Resize Wizard, just select a file to upload, and select the maximum length, in pixels, you want the largest side to be, and click the "Resize" button. Save the image by right-clicking it and selecting the "save image as" option. It's that easy!</p>
<?php echo $result_div; ?>
<form action="imgresize.php" onsubmit="return checkform(this);" method="post" enctype="multipart/form-data">
	<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $config['max_file_size']; ?>" />
	<input type="hidden" name="action" value="resize" />
	<table>
		<tr>
			<td>Image File: </td>
			<td><input type="file" name="image_file" value="<?php echo $form['image_file']; ?>" size="30" /></td>
		</tr>
		<tr>
			<td>Biggest Dimention (pixels): </td>
			<td><input type="text" name="max_pixels" size="5" maxlength="4" value="<?php echo $form['copy_text']; ?>" /></td>
		</tr>
	</table>
	<input type="submit" value="Resize &gt;&gt;" />
</form>
<p><a href="http://www.impliedbydesign.com">Image Resize Wizard</a> is a free script offered by <a href="http://www.impliedbydesign.com">Implied By Design</a></p>
<?php echo $img; ?>
</body>
</html>